NativeScanner (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.packaging
Class NativeScanner

    java.lang.Object
      org.hibernate.ejb.packaging.NativeScanner

All Implemented Interfaces:
  Scanner

    public class NativeScanner

extends Object
implements Scanner

Constructor Summary
`NativeScanner()`

Method Summary
`Set<Class<?>>` | `getClassesInJar(URL jarToScan, Set<Class<? extends Annotation>> annotationsToLookFor)` return all classes in the jar matching one of these annotations if annotationsToLookFor is empty, return all classes
`Set<NamedInputStream>` | `getFilesInClasspath(Set<String> filePatterns)` Return all files in the classpath (ie PU visibility) matching one of these file names if filePatterns is empty, return all files the use case is really exact file name.
`Set<NamedInputStream>` | `getFilesInJar(URL jarToScan, Set<String> filePatterns)` support for patterns is primitive: - **\/*.hbm.xml Other patterns will not be found
`Set<Package>` | `getPackagesInJar(URL jarToScan, Set<Class<? extends Annotation>> annotationsToLookFor)` This implementation does not honor the list of annotations and return everything.
`String` | `getUnqualifiedJarName(URL jarToScan)` return the unqualified JAR name ie customer-model.jar or store.war

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NativeScanner

    public NativeScanner()

Method Detail

### getPackagesInJar

    public Set<Package> getPackagesInJar(URL jarToScan,
                                         Set<Class<? extends Annotation>> annotationsToLookFor)

  This implementation does not honor the list of annotations and return everything. Must strictly be used by HEM

  Specified by:
    `getPackagesInJar` in interface `Scanner`

### getClassesInJar

    public Set<Class<?>> getClassesInJar(URL jarToScan,
                                         Set<Class<? extends Annotation>> annotationsToLookFor)

  Description copied from interface: `Scanner`
  return all classes in the jar matching one of these annotations if annotationsToLookFor is empty, return all classes

  Specified by:
    `getClassesInJar` in interface `Scanner`

### getFilesInJar

    public Set<NamedInputStream> getFilesInJar(URL jarToScan,
                                               Set<String> filePatterns)

  support for patterns is primitive: - **\/*.hbm.xml Other patterns will not be found

  Specified by:
    `getFilesInJar` in interface `Scanner`

### getFilesInClasspath

    public Set<NamedInputStream> getFilesInClasspath(Set<String> filePatterns)

  Description copied from interface: `Scanner`
  Return all files in the classpath (ie PU visibility) matching one of these file names if filePatterns is empty, return all files the use case is really exact file name. NOT USED by HEM at the moment. We use exact file search via getResourceAsStream for now.

  Specified by:
    `getFilesInClasspath` in interface `Scanner`

### getUnqualifiedJarName

    public String getUnqualifiedJarName(URL jarToScan)

  Description copied from interface: `Scanner`
  return the unqualified JAR name ie customer-model.jar or store.war

  Specified by:
    `getUnqualifiedJarName` in interface `Scanner`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.